Remotehost Docs

Read live sandbox resource metrics

GET
/sandboxes/{sandboxId}/metrics/live

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

sandboxId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/sandboxes/string/metrics/live"
{  "cpuPercent": 0,  "memoryTotalGb": 0,  "memoryUsedGb": 0,  "diskTotalGb": 0,  "diskUsedGb": 0,  "diskUsedBytes": 0,  "diskAvailableBytes": 0,  "swapTotalGb": 0,  "swapUsedGb": 0,  "memoryPressure": {    "someAvg10": 0,    "someAvg60": 0,    "fullAvg10": 0,    "fullAvg60": 0  },  "cpuPressure": {    "someAvg10": 0,    "someAvg60": 0  },  "memoryWarning": {    "level": "none",    "reason": "string",    "suggestedShape": {      "vcpu": 0,      "memoryGb": 0,      "diskGb": 0    }  }}